Bug 806186 - [abrt] virt-manager-0.9.1-2.fc16: _gtk_rbtree_next: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] virt-manager-0.9.1-2.fc16: _gtk_rbtree_next: Process /usr/bin/python w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:3558739608db65b446708ad932d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 03:02 EDT by Ludovic Lebègue
Modified: 2013-02-13 13:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:32:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.79 KB, text/plain)
2012-03-23 03:02 EDT, Ludovic Lebègue
no flags Details
File: smolt_data (6.58 KB, text/plain)
2012-03-23 03:02 EDT, Ludovic Lebègue
no flags Details
File: maps (79.67 KB, text/plain)
2012-03-23 03:02 EDT, Ludovic Lebègue
no flags Details
File: dso_list (18.60 KB, text/plain)
2012-03-23 03:02 EDT, Ludovic Lebègue
no flags Details

  None (edit)
Description Ludovic Lebègue 2012-03-23 03:02:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager.py
crash_function: _gtk_rbtree_next
executable:     /usr/bin/python
kernel:         3.2.10-3.fc16.x86_64
pid:            2453
pwd:            /home/ludo
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
reported_to:    file: /tmp/logvmstore
time:           Fri 23 Mar 2012 07:47:14 AM CET
uid:            1000
username:       ludo

backtrace:      Text file, 68398 bytes
dso_list:       Text file, 19045 bytes
maps:           Text file, 81581 bytes
smolt_data:     Text file, 6734 bytes

comment:
:1 - Create a user from CLI
:   su -c "useradd vmstore"
:2 - Launch virt-manager
:3 - Double click on local (localhost QEMU)
:4 - Choose "Storage" tab
:5 - add a new vmstore : name = vmstore , type = dir , location = /home/vmstore
:6 - Remove .bash* files created by useradd command

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=leonardo.lan
:GIO_LAUNCHED_DESKTOP_FILE_PID=2451
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-1P2ycj/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=816d859e581b2dcbb2ebf02700000009-1332484377.152353-62852585
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-1P2ycj
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=ludo
:SSH_AUTH_SOCK=/tmp/keyring-1P2ycj/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1578,unix/unix:/tmp/.ICE-unix/1578
:USERNAME=ludo
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/virt-manager.desktop
:DESKTOP_SESSION=gnome
:PATH=/home/ludo/bin:/home/ludo/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:MAIL=/var/spool/mail/ludo
:LC_MESSAGES=en_US.UTF-8
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:LC_COLLATE=en_US.UTF-8
:PWD=/home/ludo
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1572
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/ludo
:LANGUAGE=en_US:en
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=ludo
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rJH6TduFHL,guid=729f72f68714f059f5027e560000005a
:LC_CTYPE=en_US.UTF-8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/ludo
:XAUTHORITY=/var/run/gdm/auth-for-ludo-MLVBFr/database

event_log:
:2012-03-23-07:51:47> Smolt profile successfully saved
:2012-03-23-07:53:19> The report was appended to /tmp/logvmstore
:2012-03-23-07:53:48> Querying server settings
:2012-03-23-07:53:49  Preparing an archive to upload
:2012-03-23-07:53:52  Uploading 4 megabytes
:2012-03-23-07:54:03  Uploading 7%
:2012-03-23-07:54:13  Uploading 12%
:2012-03-23-07:54:25  Uploading 19%
:2012-03-23-07:54:36  Uploading 25%
:2012-03-23-07:54:46  Uploading 31%
:2012-03-23-07:54:56  Uploading 36%
:2012-03-23-07:55:06  Uploading 41%
:2012-03-23-07:55:16  Uploading 46%
:2012-03-23-07:55:26  Uploading 51%
:2012-03-23-07:55:37  Uploading 57%
:2012-03-23-07:55:47  Uploading 62%
:2012-03-23-07:55:57  Uploading 67%
:2012-03-23-07:56:09  Uploading 74%
:2012-03-23-07:56:19  Uploading 80%
:2012-03-23-07:56:30  Uploading 85%
:2012-03-23-07:56:44  Uploading 90%
:2012-03-23-07:56:56  Uploading 97%
:2012-03-23-07:56:59  Upload successful
:2012-03-23-07:57:05  Retrace job started
:2012-03-23-07:57:16  Analyzing crash data
:2012-03-23-07:57:27  Initializing virtual root
:2012-03-23-07:57:38  Initializing virtual root
:2012-03-23-07:57:49  Initializing virtual root
:2012-03-23-07:58:00  Initializing virtual root
:2012-03-23-07:58:10  Initializing virtual root
:2012-03-23-07:58:21  Initializing virtual root
:2012-03-23-07:58:32  Initializing virtual root
:2012-03-23-07:58:43  Initializing virtual root
:2012-03-23-07:58:54  Initializing virtual root
:2012-03-23-07:59:05  Initializing virtual root
:2012-03-23-07:59:16  Initializing virtual root
:2012-03-23-07:59:26  Initializing virtual root
:2012-03-23-07:59:37  Initializing virtual root
:2012-03-23-07:59:48  Initializing virtual root
:2012-03-23-07:59:59  Initializing virtual root
:2012-03-23-08:00:10  Initializing virtual root
:2012-03-23-08:00:20  Initializing virtual root
:2012-03-23-08:00:31  Initializing virtual root
:2012-03-23-08:00:42  Initializing virtual root
:2012-03-23-08:00:53  Initializing virtual root
:2012-03-23-08:01:03  Initializing virtual root
:2012-03-23-08:01:14  Initializing virtual root
:2012-03-23-08:01:25  Cleaning up virtual root
:2012-03-23-08:01:36  Retrace job finished successfully
:2012-03-23-08:01:58> Smolt profile successfully saved

var_log_messages:
:Mar 23 07:47:14 leonardo kernel: [  946.489847] python[2453]: segfault at 8 ip 00000032c119e643 sp 00007fff86cd9250 error 4 in libgtk-x11-2.0.so.0.2400.8[32c1000000+46c000]
:Mar 23 07:47:15 leonardo abrt[2705]: Saved core dump of pid 2453 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-03-23-07:47:14-2453 (68513792 bytes)
Comment 1 Ludovic Lebègue 2012-03-23 03:02:30 EDT
Created attachment 572167 [details]
File: backtrace
Comment 2 Ludovic Lebègue 2012-03-23 03:02:33 EDT
Created attachment 572168 [details]
File: smolt_data
Comment 3 Ludovic Lebègue 2012-03-23 03:02:39 EDT
Created attachment 572169 [details]
File: maps
Comment 4 Ludovic Lebègue 2012-03-23 03:02:42 EDT
Created attachment 572170 [details]
File: dso_list
Comment 5 abrt-bot 2012-03-30 08:27:27 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 instead of component virt-manager, reassigning to gtk2.

Bug #555063 was found to be similar to this bug.

This comment is automatically generated.
Comment 6 Fedora End Of Life 2013-01-16 10:31:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 13:32:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.